<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec id="select-sessions-by-page" superservice="www"
 schema="www-user_session"
 xmlns:lire="http://www.logreport.org/LRSML/">

 <lire:title>Select Sessions by Page Filter</lire:title>
 <lire:description>
  <para>This filter specification can be used to select sessions that
   include pages matching a regular expression. The filter is
   applied on all fields that contains page information.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="page_match" type="string">
   <lire:description>
    <para>This parameter contains the regular expression that will be
     used to select the sessions. Sessions for which one of the
     page fields (<type>first_page</type>, <type>last_page</type>,
     <type>page_2</type>, etc.) match the regexp will be selected.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>selected  sessions containing a page matching "$page_match"</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:or>
   <lire:match value="$first_page" re="$page_match" case-sensitive="false"/>
   <lire:match value="$last_page" re="$page_match" case-sensitive="false"/>
   <lire:match value="$page_2" re="$page_match" case-sensitive="false"/>
   <lire:match value="$page_3" re="$page_match" case-sensitive="false"/>
   <lire:match value="$page_4" re="$page_match" case-sensitive="false"/>
   <lire:match value="$page_5" re="$page_match" case-sensitive="false"/>
  </lire:or>
 </lire:filter-spec>

</lire:global-filter-spec>
